package maratonacps2019_1;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Prof. Henrique Louro
 */
public class Consumo {

    public static void main(String[] args) {

        List<Veiculo> veiculos = new ArrayList();

        String linha = "";

        BufferedReader entrada;

        double media = 0;
        int cont = 0;

        try {

            entrada = new BufferedReader(new InputStreamReader(System.in));

            while ((linha = entrada.readLine()) != null) {

                if (linha.equals("0")) {
                    break;
                }

                String temp[] = linha.split(" ");

                int n = Integer.parseInt(temp[0]);

                for (int x = 0; x < n; x++) {
                    linha = entrada.readLine();
                    temp = linha.split(" ");

                    Veiculo vc = new Veiculo();
                    vc.placa = temp[0];
                    vc.consumo = Double.parseDouble(temp[1]) / Double.parseDouble(temp[2]);
                    veiculos.add(vc);
                    media += vc.consumo;
                    cont++;
                }

                media /= cont;
//            System.out.println(media);
                for (Veiculo vc : veiculos) {
                    if (vc.consumo < media) {
//                    System.out.println(vc.placa+" - "+vc.consumo);
                        System.out.println(vc.placa);
                    }
                }
            }
        } catch (Exception e) {
            System.out.println("Ocorreu um erro durante a leitura!\n" + e);
        }
    }
}

class Veiculo {

    String placa;
    double consumo;
}
